Subject: [bitcoin-dev] BIP: Block signal enforcement via tx fees

From: Luke Dashjr <[email-masked]>
Date: Fri, 12 May 2017 19:22:56 +0000

I've written a new BIP draft for OP_CHECKBLOCKVERSION to allow the community 
to put economic pressure on miners to deploy softforks without the extreme of 
a UASF.

    https://github.com/luke-jr/bips/blob/bip-cbv/bip-cbv.mediawiki

Due to the potential for miners to maliciously block this softfork, it is 
suggested that we deploy it using BIP 8 to ensure it eventually activates even 
if encountering hostility.

This is intended to be an alternative to BIP 8 in the long term.
It is NOT intended to make BIP 148 obsolete, given the timeframes involved.

An implementation is available (based on top of BIP 115's implementation):

   https://github.com/luke-jr/bitcoin/compare/cbah...luke-jr:checkblockversion

Luke